import Combine
import Engine

final class AccountsMiddleware {
    static let shared = AccountsMiddleware()

    func middleware(state: AppState, action: AppAction) -> AnyPublisher<AppAction, Never> {
        switch action {
        case .accountsAction(.getAll):
            return Empty().eraseToAnyPublisher()

        case .accountsAction(.accountsListUpdated(let accounts)):
            print(accounts)
            return Empty().eraseToAnyPublisher()

        default:
            return Empty().eraseToAnyPublisher()
        }
    }
}
