import Foundation

extension AppState {
    static func reducer(state: inout AppState, action: AppAction) {
        switch action {
        case .flushState:
            state = AppState()

        case .changeFlow(let flow):
            state.currentFlow = flow

        case .accountsAction(let action):
            AccountsState.reducer(state: &state.accountsState, action: action)
        }
    }
}
