extension AccountsState {
    static func reducer(state: inout AccountsState, action: AccountsAction) {
        switch action {
        case .goTo(let kind):
            state.navigation = kind

        case .accountsListUpdated(let accounts):
            state.accounts = accounts

        default:
            break
        }
    }
}
