import SwiftUI
import Engine

let appState = AppState()
let store = AppStore.init(
    initialState: appState,
    reducer: AppState.reducer,
    middlewares: [
        loggerMiddleware(),
        AccountsMiddleware.shared.middleware
    ]
)

@main
struct SnikketApp: App {
    var body: some Scene {
        WindowGroup {
            DebugScreen()
//            BaseNavigationView()
//                .environmentObject(store)
        }
    }
}
